<div *ngIf="commits">
  <canvas
    baseChart
    [chartType]="'line'"
    [colors]="contributorsChartColor"
    [datasets]="contributorsChartData"
    [labels]="contributorsChartLabels"
    [options]="contributorsChartOptions"
    [legend]="true"
    (chartClick)="chartClick($event)">
  </canvas>

    <app-commits-modal
    *ngIf="isCommitsModalActive()"
    [startDate]="contributorsPeriodStartDate"
    [endDate]="contributorsPeriodEndDate"
    [commits]="contributorsPeriodCommits"
    (hideCommitsModal)="hideCommitsModal()">
  </app-commits-modal>
</div>
